ON_ClippingPlane Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_plane.h>`

## Public Member Functions

| ON_ClippingPlane ()
| ~ON_ClippingPlane ()
void | Default ()
ON_ClippingPlaneInfo | ClippingPlaneInfo () const
bool | Read (class ON_BinaryArchive &)
bool | Write (class ON_BinaryArchive &) const

## Public Attributes

ON_Plane | m_plane
ON_UuidList | m_viewport_ids
ON_UUID | m_plane_id
bool | m_bEnabled

## Detailed Description

Definition at line 485 of file opennurbs_plane.h.

## Constructor & Destructor Documentation

## ON_ClippingPlane()

ON_ClippingPlane::ON_ClippingPlane | ( |  | ) |

## ~ON_ClippingPlane()

ON_ClippingPlane::~ON_ClippingPlane | ( |  | ) |

## Member Function Documentation

## ClippingPlaneInfo()

ON_ClippingPlaneInfo ON_ClippingPlane::ClippingPlaneInfo | ( |  | ) | const

## Default()

void ON_ClippingPlane::Default | ( |  | ) |

## Read()

bool ON_ClippingPlane::Read | ( | class ON_BinaryArchive & |  | ) |

## Write()

bool ON_ClippingPlane::Write | ( | class ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bEnabled

bool ON_ClippingPlane::m_bEnabled

Definition at line 496 of file opennurbs_plane.h.

## m_plane

ON_Plane ON_ClippingPlane::m_plane

Definition at line 493 of file opennurbs_plane.h.

## m_plane_id

ON_UUID ON_ClippingPlane::m_plane_id

Definition at line 495 of file opennurbs_plane.h.

## m_viewport_ids

ON_UuidList ON_ClippingPlane::m_viewport_ids

Definition at line 494 of file opennurbs_plane.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_plane.h